{ fetchurl, fetchgit, linkFarm, runCommand, gnutar }: rec {
  offline_cache = linkFarm "offline" packages;
  packages = [
    {
      name = "accepts___accepts_1.3.8.tgz";
      path = fetchurl {
        name = "accepts___accepts_1.3.8.tgz";
        url  = "https://registry.yarnpkg.com/accepts/-/accepts-1.3.8.tgz";
        sha1 = "0bf0be125b67014adcb0b0921e62db7bffe16b2e";
      };
    }
    {
      name = "array_flatten___array_flatten_1.1.1.tgz";
      path = fetchurl {
        name = "array_flatten___array_flatten_1.1.1.tgz";
        url  = "https://registry.yarnpkg.com/array-flatten/-/array-flatten-1.1.1.tgz";
        sha1 = "9a5f699051b1e7073328f2a008968b64ea2955d2";
      };
    }
    {
      name = "body_parser___body_parser_1.19.2.tgz";
      path = fetchurl {
        name = "body_parser___body_parser_1.19.2.tgz";
        url  = "https://registry.yarnpkg.com/body-parser/-/body-parser-1.19.2.tgz";
        sha1 = "4714ccd9c157d44797b8b5607d72c0b89952f26e";
      };
    }
    {
      name = "bytes___bytes_3.1.2.tgz";
      path = fetchurl {
        name = "bytes___bytes_3.1.2.tgz";
        url  = "https://registry.yarnpkg.com/bytes/-/bytes-3.1.2.tgz";
        sha1 = "8b0beeb98605adf1b128fa4386403c009e0221a5";
      };
    }
    {
      name = "commander___commander_2.20.3.tgz";
      path = fetchurl {
        name = "commander___commander_2.20.3.tgz";
        url  = "https://registry.yarnpkg.com/commander/-/commander-2.20.3.tgz";
        sha1 = "fd485e84c03eb4881c20722ba48035e8531aeb33";
      };
    }
    {
      name = "content_disposition___content_disposition_0.5.4.tgz";
      path = fetchurl {
        name = "content_disposition___content_disposition_0.5.4.tgz";
        url  = "https://registry.yarnpkg.com/content-disposition/-/content-disposition-0.5.4.tgz";
        sha1 = "8b82b4efac82512a02bb0b1dcec9d2c5e8eb5bfe";
      };
    }
    {
      name = "content_type___content_type_1.0.4.tgz";
      path = fetchurl {
        name = "content_type___content_type_1.0.4.tgz";
        url  = "https://registry.yarnpkg.com/content-type/-/content-type-1.0.4.tgz";
        sha1 = "e138cc75e040c727b1966fe5e5f8c9aee256fe3b";
      };
    }
    {
      name = "cookie_signature___cookie_signature_1.0.6.tgz";
      path = fetchurl {
        name = "cookie_signature___cookie_signature_1.0.6.tgz";
        url  = "https://registry.yarnpkg.com/cookie-signature/-/cookie-signature-1.0.6.tgz";
        sha1 = "e303a882b342cc3ee8ca513a79999734dab3ae2c";
      };
    }
    {
      name = "cookie___cookie_0.4.2.tgz";
      path = fetchurl {
        name = "cookie___cookie_0.4.2.tgz";
        url  = "https://registry.yarnpkg.com/cookie/-/cookie-0.4.2.tgz";
        sha1 = "0e41f24de5ecf317947c82fc789e06a884824432";
      };
    }
    {
      name = "debug___debug_2.6.9.tgz";
      path = fetchurl {
        name = "debug___debug_2.6.9.tgz";
        url  = "https://registry.yarnpkg.com/debug/-/debug-2.6.9.tgz";
        sha1 = "5d128515df134ff327e90a4c93f4e077a536341f";
      };
    }
    {
      name = "depd___depd_1.1.2.tgz";
      path = fetchurl {
        name = "depd___depd_1.1.2.tgz";
        url  = "https://registry.yarnpkg.com/depd/-/depd-1.1.2.tgz";
        sha1 = "9bcd52e14c097763e749b274c4346ed2e560b5a9";
      };
    }
    {
      name = "destroy___destroy_1.0.4.tgz";
      path = fetchurl {
        name = "destroy___destroy_1.0.4.tgz";
        url  = "https://registry.yarnpkg.com/destroy/-/destroy-1.0.4.tgz";
        sha1 = "978857442c44749e4206613e37946205826abd80";
      };
    }
    {
      name = "ee_first___ee_first_1.1.1.tgz";
      path = fetchurl {
        name = "ee_first___ee_first_1.1.1.tgz";
        url  = "https://registry.yarnpkg.com/ee-first/-/ee-first-1.1.1.tgz";
        sha1 = "590c61156b0ae2f4f0255732a158b266bc56b21d";
      };
    }
    {
      name = "encodeurl___encodeurl_1.0.2.tgz";
      path = fetchurl {
        name = "encodeurl___encodeurl_1.0.2.tgz";
        url  = "https://registry.yarnpkg.com/encodeurl/-/encodeurl-1.0.2.tgz";
        sha1 = "ad3ff4c86ec2d029322f5a02c3a9a606c95b3f59";
      };
    }
    {
      name = "escape_html___escape_html_1.0.3.tgz";
      path = fetchurl {
        name = "escape_html___escape_html_1.0.3.tgz";
        url  = "https://registry.yarnpkg.com/escape-html/-/escape-html-1.0.3.tgz";
        sha1 = "0258eae4d3d0c0974de1c169188ef0051d1d1988";
      };
    }
    {
      name = "etag___etag_1.8.1.tgz";
      path = fetchurl {
        name = "etag___etag_1.8.1.tgz";
        url  = "https://registry.yarnpkg.com/etag/-/etag-1.8.1.tgz";
        sha1 = "41ae2eeb65efa62268aebfea83ac7d79299b0887";
      };
    }
    {
      name = "express___express_4.17.3.tgz";
      path = fetchurl {
        name = "express___express_4.17.3.tgz";
        url  = "https://registry.yarnpkg.com/express/-/express-4.17.3.tgz";
        sha1 = "f6c7302194a4fb54271b73a1fe7a06478c8f85a1";
      };
    }
    {
      name = "finalhandler___finalhandler_1.1.2.tgz";
      path = fetchurl {
        name = "finalhandler___finalhandler_1.1.2.tgz";
        url  = "https://registry.yarnpkg.com/finalhandler/-/finalhandler-1.1.2.tgz";
        sha1 = "b7e7d000ffd11938d0fdb053506f6ebabe9f587d";
      };
    }
    {
      name = "forwarded___forwarded_0.2.0.tgz";
      path = fetchurl {
        name = "forwarded___forwarded_0.2.0.tgz";
        url  = "https://registry.yarnpkg.com/forwarded/-/forwarded-0.2.0.tgz";
        sha1 = "2269936428aad4c15c7ebe9779a84bf0b2a81811";
      };
    }
    {
      name = "fresh___fresh_0.5.2.tgz";
      path = fetchurl {
        name = "fresh___fresh_0.5.2.tgz";
        url  = "https://registry.yarnpkg.com/fresh/-/fresh-0.5.2.tgz";
        sha1 = "3d8cadd90d976569fa835ab1f8e4b23a105605a7";
      };
    }
    {
      name = "http_errors___http_errors_1.8.1.tgz";
      path = fetchurl {
        name = "http_errors___http_errors_1.8.1.tgz";
        url  = "https://registry.yarnpkg.com/http-errors/-/http-errors-1.8.1.tgz";
        sha1 = "7c3f28577cbc8a207388455dbd62295ed07bd68c";
      };
    }
    {
      name = "iconv_lite___iconv_lite_0.4.24.tgz";
      path = fetchurl {
        name = "iconv_lite___iconv_lite_0.4.24.tgz";
        url  = "https://registry.yarnpkg.com/iconv-lite/-/iconv-lite-0.4.24.tgz";
        sha1 = "2022b4b25fbddc21d2f524974a474aafe733908b";
      };
    }
    {
      name = "inherits___inherits_2.0.4.tgz";
      path = fetchurl {
        name = "inherits___inherits_2.0.4.tgz";
        url  = "https://registry.yarnpkg.com/inherits/-/inherits-2.0.4.tgz";
        sha1 = "0fa2c64f932917c3433a0ded55363aae37416b7c";
      };
    }
    {
      name = "ipaddr.js___ipaddr.js_1.9.1.tgz";
      path = fetchurl {
        name = "ipaddr.js___ipaddr.js_1.9.1.tgz";
        url  = "https://registry.yarnpkg.com/ipaddr.js/-/ipaddr.js-1.9.1.tgz";
        sha1 = "bff38543eeb8984825079ff3a2a8e6cbd46781b3";
      };
    }
    {
      name = "katex___katex_0.11.1.tgz";
      path = fetchurl {
        name = "katex___katex_0.11.1.tgz";
        url  = "https://registry.yarnpkg.com/katex/-/katex-0.11.1.tgz";
        sha1 = "df30ca40c565c9df01a466a00d53e079e84ffaa2";
      };
    }
    {
      name = "media_typer___media_typer_0.3.0.tgz";
      path = fetchurl {
        name = "media_typer___media_typer_0.3.0.tgz";
        url  = "https://registry.yarnpkg.com/media-typer/-/media-typer-0.3.0.tgz";
        sha1 = "8710d7af0aa626f8fffa1ce00168545263255748";
      };
    }
    {
      name = "merge_descriptors___merge_descriptors_1.0.1.tgz";
      path = fetchurl {
        name = "merge_descriptors___merge_descriptors_1.0.1.tgz";
        url  = "https://registry.yarnpkg.com/merge-descriptors/-/merge-descriptors-1.0.1.tgz";
        sha1 = "b00aaa556dd8b44568150ec9d1b953f3f90cbb61";
      };
    }
    {
      name = "methods___methods_1.1.2.tgz";
      path = fetchurl {
        name = "methods___methods_1.1.2.tgz";
        url  = "https://registry.yarnpkg.com/methods/-/methods-1.1.2.tgz";
        sha1 = "5529a4d67654134edcc5266656835b0f851afcee";
      };
    }
    {
      name = "mime_db___mime_db_1.52.0.tgz";
      path = fetchurl {
        name = "mime_db___mime_db_1.52.0.tgz";
        url  = "https://registry.yarnpkg.com/mime-db/-/mime-db-1.52.0.tgz";
        sha1 = "bbabcdc02859f4987301c856e3387ce5ec43bf70";
      };
    }
    {
      name = "mime_types___mime_types_2.1.35.tgz";
      path = fetchurl {
        name = "mime_types___mime_types_2.1.35.tgz";
        url  = "https://registry.yarnpkg.com/mime-types/-/mime-types-2.1.35.tgz";
        sha1 = "381a871b62a734450660ae3deee44813f70d959a";
      };
    }
    {
      name = "mime___mime_1.6.0.tgz";
      path = fetchurl {
        name = "mime___mime_1.6.0.tgz";
        url  = "https://registry.yarnpkg.com/mime/-/mime-1.6.0.tgz";
        sha1 = "32cd9e5c64553bd58d19a568af452acff04981b1";
      };
    }
    {
      name = "ms___ms_2.0.0.tgz";
      path = fetchurl {
        name = "ms___ms_2.0.0.tgz";
        url  = "https://registry.yarnpkg.com/ms/-/ms-2.0.0.tgz";
        sha1 = "5608aeadfc00be6c2901df5f9861788de0d597c8";
      };
    }
    {
      name = "ms___ms_2.1.3.tgz";
      path = fetchurl {
        name = "ms___ms_2.1.3.tgz";
        url  = "https://registry.yarnpkg.com/ms/-/ms-2.1.3.tgz";
        sha1 = "574c8138ce1d2b5861f0b44579dbadd60c6615b2";
      };
    }
    {
      name = "negotiator___negotiator_0.6.3.tgz";
      path = fetchurl {
        name = "negotiator___negotiator_0.6.3.tgz";
        url  = "https://registry.yarnpkg.com/negotiator/-/negotiator-0.6.3.tgz";
        sha1 = "58e323a72fedc0d6f9cd4d31fe49f51479590ccd";
      };
    }
    {
      name = "on_finished___on_finished_2.3.0.tgz";
      path = fetchurl {
        name = "on_finished___on_finished_2.3.0.tgz";
        url  = "https://registry.yarnpkg.com/on-finished/-/on-finished-2.3.0.tgz";
        sha1 = "20f1336481b083cd75337992a16971aa2d906947";
      };
    }
    {
      name = "parseurl___parseurl_1.3.3.tgz";
      path = fetchurl {
        name = "parseurl___parseurl_1.3.3.tgz";
        url  = "https://registry.yarnpkg.com/parseurl/-/parseurl-1.3.3.tgz";
        sha1 = "9da19e7bee8d12dff0513ed5b76957793bc2e8d4";
      };
    }
    {
      name = "path_to_regexp___path_to_regexp_0.1.7.tgz";
      path = fetchurl {
        name = "path_to_regexp___path_to_regexp_0.1.7.tgz";
        url  = "https://registry.yarnpkg.com/path-to-regexp/-/path-to-regexp-0.1.7.tgz";
        sha1 = "df604178005f522f15eb4490e7247a1bfaa67f8c";
      };
    }
    {
      name = "proxy_addr___proxy_addr_2.0.7.tgz";
      path = fetchurl {
        name = "proxy_addr___proxy_addr_2.0.7.tgz";
        url  = "https://registry.yarnpkg.com/proxy-addr/-/proxy-addr-2.0.7.tgz";
        sha1 = "f19fe69ceab311eeb94b42e70e8c2070f9ba1025";
      };
    }
    {
      name = "qs___qs_6.9.7.tgz";
      path = fetchurl {
        name = "qs___qs_6.9.7.tgz";
        url  = "https://registry.yarnpkg.com/qs/-/qs-6.9.7.tgz";
        sha1 = "4610846871485e1e048f44ae3b94033f0e675afe";
      };
    }
    {
      name = "range_parser___range_parser_1.2.1.tgz";
      path = fetchurl {
        name = "range_parser___range_parser_1.2.1.tgz";
        url  = "https://registry.yarnpkg.com/range-parser/-/range-parser-1.2.1.tgz";
        sha1 = "3cf37023d199e1c24d1a55b84800c2f3e6468031";
      };
    }
    {
      name = "raw_body___raw_body_2.4.3.tgz";
      path = fetchurl {
        name = "raw_body___raw_body_2.4.3.tgz";
        url  = "https://registry.yarnpkg.com/raw-body/-/raw-body-2.4.3.tgz";
        sha1 = "8f80305d11c2a0a545c2d9d89d7a0286fcead43c";
      };
    }
    {
      name = "safe_buffer___safe_buffer_5.2.1.tgz";
      path = fetchurl {
        name = "safe_buffer___safe_buffer_5.2.1.tgz";
        url  = "https://registry.yarnpkg.com/safe-buffer/-/safe-buffer-5.2.1.tgz";
        sha1 = "1eaf9fa9bdb1fdd4ec75f58f9cdb4e6b7827eec6";
      };
    }
    {
      name = "safer_buffer___safer_buffer_2.1.2.tgz";
      path = fetchurl {
        name = "safer_buffer___safer_buffer_2.1.2.tgz";
        url  = "https://registry.yarnpkg.com/safer-buffer/-/safer-buffer-2.1.2.tgz";
        sha1 = "44fa161b0187b9549dd84bb91802f9bd8385cd6a";
      };
    }
    {
      name = "send___send_0.17.2.tgz";
      path = fetchurl {
        name = "send___send_0.17.2.tgz";
        url  = "https://registry.yarnpkg.com/send/-/send-0.17.2.tgz";
        sha1 = "926622f76601c41808012c8bf1688fe3906f7820";
      };
    }
    {
      name = "serve_static___serve_static_1.14.2.tgz";
      path = fetchurl {
        name = "serve_static___serve_static_1.14.2.tgz";
        url  = "https://registry.yarnpkg.com/serve-static/-/serve-static-1.14.2.tgz";
        sha1 = "722d6294b1d62626d41b43a013ece4598d292bfa";
      };
    }
    {
      name = "setprototypeof___setprototypeof_1.2.0.tgz";
      path = fetchurl {
        name = "setprototypeof___setprototypeof_1.2.0.tgz";
        url  = "https://registry.yarnpkg.com/setprototypeof/-/setprototypeof-1.2.0.tgz";
        sha1 = "66c9a24a73f9fc28cbe66b09fed3d33dcaf1b424";
      };
    }
    {
      name = "statuses___statuses_1.5.0.tgz";
      path = fetchurl {
        name = "statuses___statuses_1.5.0.tgz";
        url  = "https://registry.yarnpkg.com/statuses/-/statuses-1.5.0.tgz";
        sha1 = "161c7dac177659fd9811f43771fa99381478628c";
      };
    }
    {
      name = "toidentifier___toidentifier_1.0.1.tgz";
      path = fetchurl {
        name = "toidentifier___toidentifier_1.0.1.tgz";
        url  = "https://registry.yarnpkg.com/toidentifier/-/toidentifier-1.0.1.tgz";
        sha1 = "3be34321a88a820ed1bd80dfaa33e479fbb8dd35";
      };
    }
    {
      name = "type_is___type_is_1.6.18.tgz";
      path = fetchurl {
        name = "type_is___type_is_1.6.18.tgz";
        url  = "https://registry.yarnpkg.com/type-is/-/type-is-1.6.18.tgz";
        sha1 = "4e552cd05df09467dcbc4ef739de89f2cf37c131";
      };
    }
    {
      name = "unpipe___unpipe_1.0.0.tgz";
      path = fetchurl {
        name = "unpipe___unpipe_1.0.0.tgz";
        url  = "https://registry.yarnpkg.com/unpipe/-/unpipe-1.0.0.tgz";
        sha1 = "b2bf4ee8514aae6165b4817829d21b2ef49904ec";
      };
    }
    {
      name = "utils_merge___utils_merge_1.0.1.tgz";
      path = fetchurl {
        name = "utils_merge___utils_merge_1.0.1.tgz";
        url  = "https://registry.yarnpkg.com/utils-merge/-/utils-merge-1.0.1.tgz";
        sha1 = "9f95710f50a267947b2ccc124741c1028427e713";
      };
    }
    {
      name = "vary___vary_1.1.2.tgz";
      path = fetchurl {
        name = "vary___vary_1.1.2.tgz";
        url  = "https://registry.yarnpkg.com/vary/-/vary-1.1.2.tgz";
        sha1 = "2299f02c6ded30d4a5961b0b9f74524a18f634fc";
      };
    }
  ];
}
